//+------------------------------------------------------------------+
//|                                        Brooky_Minute_Overlay.mq4 |
//|                                          Copyright  2010,Brooky |
//|                               http://forex-indicators.weebly.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010,Brooky"
#property link      "http://forex-indicators.weebly.com"

#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 DimGray
#property indicator_color2 Silver
#property indicator_color3 DarkOrange
#property indicator_color4 Orange
#property indicator_color5 Orange
#property indicator_color6 Orange
#property indicator_color7 Orange
#property indicator_color8 Orange


//---- input parameters
extern string     Author_Site = "forex-indicators.weebly.com";
extern string     Main_Minute = "Leave at 0 To Show Hour";
extern int        minute_end_1=0;
extern string     Secondary_Minute = "Possibly 30 for Half Hour";
extern int        minute_end_2=30;
extern string     Minor_Minutes = "Same as secondary or 15 and 45?";
extern int        minute_end_3=40;
extern int        minute_end_4=45;
extern int        minute_end_5=50;
extern int        minute_end_6=55;
extern int        minute_end_7=55;
extern int        minute_end_8=55;
extern string     Line_Height = "Height of Major and Minor. 1 is full height";
extern double        height_Main_Minute =1;
extern double        height_Secondary_Minute =1;
extern double        height_Minor_Minute_1 =1;
extern double        height_Minor_Minute_2 =1;
extern double        height_Minor_Minute_3 =1;
extern double        height_Minor_Minute_4 =1;
extern double        height_Minor_Minute_5 =1;
extern double        height_Minor_Minute_6 =1;

//---- buffers
double minute_end_1_Buffer[];
double minute_end_2_Buffer[];
double minute_end_3_Buffer[];
double minute_end_4_Buffer[];
double minute_end_5_Buffer[];
double minute_end_6_Buffer[];
double minute_end_7_Buffer[];
double minute_end_8_Buffer[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);SetIndexBuffer(0,minute_end_1_Buffer);
         SetIndexLabel(0,"M ( "+minute_end_1+" )");
   
   SetIndexStyle(1,DRAW_HISTOGRAM);SetIndexBuffer(1,minute_end_2_Buffer);
         SetIndexLabel(1,"M ( "+minute_end_2+" )");
   
   SetIndexStyle(2,DRAW_HISTOGRAM);SetIndexBuffer(2,minute_end_3_Buffer);
         SetIndexLabel(2,"M ( "+minute_end_3+" )");
      
   SetIndexStyle(3,DRAW_HISTOGRAM);SetIndexBuffer(3,minute_end_4_Buffer);
         SetIndexLabel(3,"M ( "+minute_end_4+" )");      
         
   SetIndexStyle(4,DRAW_HISTOGRAM);SetIndexBuffer(4,minute_end_5_Buffer);
         SetIndexLabel(4,"M ( "+minute_end_5+" )");
         
   SetIndexStyle(5,DRAW_HISTOGRAM);SetIndexBuffer(5,minute_end_6_Buffer);
         SetIndexLabel(5,"M ( "+minute_end_6+" )");
         
   SetIndexStyle(6,DRAW_HISTOGRAM);SetIndexBuffer(6,minute_end_7_Buffer);
         SetIndexLabel(6,"M ( "+minute_end_7+" )");
         
   SetIndexStyle(7,DRAW_HISTOGRAM);SetIndexBuffer(7,minute_end_8_Buffer);
         SetIndexLabel(7,"M ( "+minute_end_8+" )");
         

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
  int start()
    {
     int limit;
     int counted_bars=IndicatorCounted();
  //---- check for possible errors
     if(counted_bars<0) return(-1);
  //---- the last counted bar will be recounted
     if(counted_bars>0) counted_bars--;
     limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {
        int m1 = TimeMinute(Time[i]);
        if (m1 == minute_end_1) 
         {
            minute_end_1_Buffer[i] = height_Main_Minute;
         }  else minute_end_1_Buffer[i]=0.0;
        
        int m2 = TimeMinute(Time[i]);
        if (m2 == minute_end_2) 
         {
            minute_end_2_Buffer[i]= height_Secondary_Minute;
         }  else minute_end_2_Buffer[i]=0.0;
         
         
        int m3 = TimeMinute(Time[i]);
        if (m3 == minute_end_3) 
         {
            minute_end_3_Buffer[i]= height_Minor_Minute_1;
         }  else minute_end_3_Buffer[i]=0.0;         
         
        int m4 = TimeMinute(Time[i]);
        if (m4 == minute_end_4) 
         {
            minute_end_4_Buffer[i]= height_Minor_Minute_2;
         }  else minute_end_4_Buffer[i]=0.0;     
         
         int m5 = TimeMinute(Time[i]);
        if (m5 == minute_end_5) 
         {
            minute_end_5_Buffer[i]= height_Minor_Minute_3;
         }  else minute_end_5_Buffer[i]=0.0; 
         
         int m6 = TimeMinute(Time[i]);
        if (m6 == minute_end_6) 
         {
            minute_end_6_Buffer[i]= height_Minor_Minute_4;
         }  else minute_end_6_Buffer[i]=0.0; 
         
         int m7 = TimeMinute(Time[i]);
        if (m7 == minute_end_7) 
         {
            minute_end_7_Buffer[i]= height_Minor_Minute_5;
         }  else minute_end_7_Buffer[i]=0.0;    
         
         int m8 = TimeMinute(Time[i]);
        if (m8 == minute_end_8) 
         {
            minute_end_8_Buffer[i]= height_Minor_Minute_6;
         }  else minute_end_8_Buffer[i]=0.0;   
       }
       
       
  //---- done
     return(0);
    }
//+------------------------------------------------------------------+